> ## Documentation Index
> Fetch the complete documentation index at: https://api-doc.track.graviton.ma/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a driver

> Works with resources accessible to your account. Requires write access. A read-only account cannot perform this operation.



## OpenAPI

````yaml /openapi.json post /drivers
openapi: 3.0.3
info:
  title: Graviton Geo V1 Client API
  version: 2.0.0
  description: >-
    Client API for Graviton Geo V1. Use an API token to access your fleet,
    tracking, resources, commands, and reports. The REST API base path is
    /api/v2.
servers:
  - url: https://fleet.graviton.ma/api/v2
    description: Production
security:
  - ApiKey: []
tags:
  - name: System
  - name: Account
  - name: Fleet
  - name: Tracking
  - name: Commands
  - name: Places
  - name: People and groups
  - name: Events
  - name: Maintenance
  - name: Sensors
  - name: Reports
  - name: Templates
paths:
  /drivers:
    post:
      tags:
        - People and groups
      summary: Create a driver
      description: >-
        Works with resources accessible to your account. Requires write access.
        A read-only account cannot perform this operation.
      operationId: post_drivers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DriversInput'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      driver_id:
                        oneOf:
                          - type: number
                          - type: string
                        description: >-
                          Numeric value; legacy values may be serialized as
                          strings.
                      driver_name:
                        description: Driver name.
                      driver_assign_id:
                        description: Driver assign id.
                      driver_idn:
                        description: Driver idn.
                      driver_address:
                        description: Driver address.
                      driver_phone:
                        description: Driver phone.
                      driver_email:
                        description: Driver email.
                      driver_desc:
                        description: Driver desc.
                      driver_img_file:
                        description: Driver img file.
                    additionalProperties: true
                  meta:
                    $ref: '#/components/schemas/Meta'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/WritesDisabled'
components:
  schemas:
    DriversInput:
      type: object
      required:
        - driver_name
      properties:
        driver_name:
          description: Driver name.
        driver_assign_id:
          description: Driver assign id.
        driver_idn:
          description: Driver idn.
        driver_address:
          description: Driver address.
        driver_phone:
          description: Driver phone.
        driver_email:
          description: Driver email.
        driver_desc:
          description: Driver desc.
        driver_img_file:
          description: Driver img file.
    Meta:
      type: object
      properties:
        request_id:
          type: string
        page:
          type: integer
        per_page:
          type: integer
        total:
          type: integer
        pages:
          type: integer
    ErrorEnvelope:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
              additionalProperties: true
        meta:
          $ref: '#/components/schemas/Meta'
  responses:
    Error:
      description: API error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    WritesDisabled:
      description: Production write safety switch is disabled
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or
        Authorization: YOUR_API_TOKEN. Each token has individual permissions; a
        valid token without the permission required by the method and route
        returns 403 TOKEN_PERMISSION_DENIED.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.